=== debian/changelog ===
hugin (2015.0.0~beta1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 03 May 2015 07:52:57 +0200

hugin (2015.0.0~beta1+dfsg-1) experimental; urgency=medium

  * New upstream version.
    + Does not embed vigra anymore, uses packaged version instead.
      Closes: #542259
  * Multiple changes from Stefan Peter (hugin-next ppa).
    - Removed unneeded patches (52 - 57).
    - Updated build-dependencies.
    - Ship new tools, removed obsolete ones. (+hugin_executor, +lensdb,
      +verdandi, -pto2mk).
    - Re-enabling python scripts by setting the api-max values in the scripts
      to 2015.0.
    - pull two bugfixes from upstream HG
      (110_hg6903_Fixes_a_further_assert_message.patch,
      111_hg6904_Fixes_crash_in_cp_editor.patch)
  * Drop unneeded b-d and Built-Using on libzthread-dev.
  * Drop unneeded b-d on libimage-exiftool-perl.
  * Update debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 01 May 2015 16:25:24 +0200
