## hugin 2015.0.0~beta2+dfsg

=== platforms/linux/CMakeLists.txt ===
ADD_SUBDIRECTORY(appdata)
