=== debian/changelog ===
hugin (2015.0.0~beta2+dfsg-1git1) wily; urgency=medium

  Upload current Debian packaging git head to fix autopkgtest.

  [ Andreas Metzler ]
  * Update autopkgtest (simple.pano.test) to use hugin_executor instead of
    pto2mk and make. Thanks Martin Pitt for doublechecking and improving the
    error-message. Closes: #785071

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 20 May 2015 22:29:04 +0200

hugin (2015.0.0~beta2+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + Drop unneeded patches (100_enable_python_scripts.patch
      110_hg6903_Fixes_a_further_assert_message.patch
      111_hg6904_Fixes_crash_in_cp_editor.patch).
    + lensdb renamed to hugin_lensdb.
    + Update list of CLI programs in package description.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 May 2015 13:05:30 +0200
