=== debian/control ===
--- 
+++ 
@@ -65,21 +65,24 @@
   * deghosting_mask    - Creates mask for removing ghosting in images.
   * fulla              - Correct lens distortion, vignetting, and
                          chromatic aberration.
-  * geocpset           - Set geometric control points
+  * geocpset           - Set geometric control points.
+  * hugin_executor     - CLI stitching tool.
   * hugin_hdrmerge     - Merge overlapping images.
+  * hugin_lensdb       - Hugin lens database maintainance.
   * icpfind            - Control-point detector wrapper program.
+  * linefind           - Detect vertical features in images.
   * nona               - Remap images. (Also does simple stitching.)
   * pano_modify        - Change output parameters of project file.
-  * pto2mk             - Create a makefile for stitching.
+  * pto_gen            - Generate a Hugin project file from a list of images.
+  * pto_lensstack      - Modify assigned lenses and stack in pto files.
   * pto_mask           - Apply a mask.
   * pto_merge          - Merges two or more Hugin project files.
   * pto_move           - Move a project file with all images in it.
-  * pto_gen            - Create pto file from list of images.
-  * pto_lensstack      - Modify assigned lenses and stack in pto files.
   * pto_template       - Apply a template file.
   * pto_var            - Change image variables inside Hugin .pto project
                          files
   * tca_correct        - Calculate transverse chromatic aberration.
+  * verdandi           - Blend images using watershed algorithm.
   * vig_optimize       - Determine the radial vignetting.
 
 Package: hugin-data
