## hugin 2015.0.0~rc3+dfsg

=== debian/changelog ===
hugin (2015.0.0~rc3+dfsg-1build1) wily; urgency=medium

  * No-change rebuild against libexiv2-14.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 08:12:43 +0200

hugin (2015.0.0~rc3+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 26 Jul 2015 13:52:39 +0200

hugin (2015.0.0~rc2+dfsg-1) unstable; urgency=low

  * New upstream version.
    + Update debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 05 Jul 2015 14:54:58 +0200

hugin (2015.0.0~rc1+dfsg-1) unstable; urgency=medium

  * Update autopkgtest (simple.pano.test) to use hugin_executor instead of
    pto2mk and make. Thanks Martin Pitt for doublechecking and improving the
    error-message. Closes: #785071
  * New upstream version.
    + Use correct encoding for progress display. Closes: #786938
  * Thanks, lintian:
    + s/maintainance/maintenance/ in debian/control.
    + Drop nowadays unneeded XS-Testsuite: autopkgtest in debian/control.
  * Build-depend on dh-python, as suggested by dh-python2.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 13 Jun 2015 14:02:12 +0200
