=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Andreas Metzler <ametzler@debian.org>
 # hugin can use Boost::Signal or in Boost >= 1.54 Boost::Signal2 which is
 # shipped in libboost-dev.
-Build-Depends: debhelper (>= 9), cmake (>= 2.8.0),
+Build-Depends: debhelper (>= 9), dh-python, cmake (>= 2.8.0),
  libboost-graph-dev (>= 1.44), libboost-thread-dev (>= 1.44),
  libboost-regex-dev (>= 1.44), libboost-filesystem-dev (>= 1.44),
  libboost-iostreams-dev (>= 1.44), libboost-system-dev (>= 1.44),
@@ -21,7 +21,6 @@
 Homepage: http://hugin.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/pkg-phototools/hugin.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/hugin.git
-XS-Testsuite: autopkgtest
 
 Package: hugin
 Architecture: any
@@ -68,7 +67,7 @@
   * geocpset           - Set geometric control points.
   * hugin_executor     - CLI stitching tool.
   * hugin_hdrmerge     - Merge overlapping images.
-  * hugin_lensdb       - Hugin lens database maintainance.
+  * hugin_lensdb       - Hugin lens database maintenance.
   * icpfind            - Control-point detector wrapper program.
   * linefind           - Detect vertical features in images.
   * nona               - Remap images. (Also does simple stitching.)
